summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'eclass/elisp.eclass')
-rw-r--r--eclass/elisp.eclass14
1 files changed, 13 insertions, 1 deletions
diff --git a/eclass/elisp.eclass b/eclass/elisp.eclass
index 0a3953664436..66c311052e61 100644
--- a/eclass/elisp.eclass
+++ b/eclass/elisp.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/elisp.eclass,v 1.53 2011/10/21 19:16:16 ulm Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/elisp.eclass,v 1.54 2011/12/03 08:54:46 ulm Exp $
#
# @ECLASS: elisp.eclass
# @MAINTAINER:
@@ -40,6 +40,11 @@
# Patch files are searched for in the current working dir, WORKDIR, and
# FILESDIR.
+# @ECLASS-VARIABLE: ELISP_REMOVE
+# @DEFAULT_UNSET
+# @DESCRIPTION:
+# Space separated list of files to remove after unpacking the sources.
+
# @ECLASS-VARIABLE: SITEFILE
# @DEFAULT_UNSET
# @DESCRIPTION:
@@ -120,6 +125,13 @@ elisp_src_prepare() {
die "Cannot find ${patch}"
fi
done
+
+ # apply any user patches
+ epatch_user
+
+ if [[ -n ${ELISP_REMOVE} ]]; then
+ rm ${ELISP_REMOVE} || die
+ fi
}
# @FUNCTION: elisp_src_configure